Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512499 - Provisioning method "Boot disk based" should only be available when vmware compute resource is selected [NEEDINFO]
Summary: Provisioning method "Boot disk based" should only be available when vmware co...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - VMWare
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Chris Roberts
QA Contact: Sachin Ghai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-13 11:30 UTC by Sachin Ghai
Modified: 2019-04-01 20:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-22 12:30:28 UTC
mhulan: needinfo? (dlobatog)


Attachments (Terms of Use)
"Boot disk based" provisioning method is available for all compute resources (deleted)
2017-11-13 11:30 UTC, Sachin Ghai
no flags Details

Description Sachin Ghai 2017-11-13 11:30:30 UTC
Created attachment 1351530 [details]
"Boot disk based" provisioning method is available for all compute resources

Description of problem:
As per RFE https://bugzilla.redhat.com/show_bug.cgi?id=1019214, "Boot disk based" provisioning method is only available for Vmware. So I think we should n't show that option on UI under for other compute resources like libvirt/rhev"

create host -> operating system atb -> provisioning method.


Version-Release number of selected component (if applicable):
sat6.3 beta

How reproducible:


Steps to Reproduce:
1. create a new host 
2.
3.

Actual results:
"Boot disk based" provisioning method is available for all compute resources

Expected results:
"Boot disk based" provisioning method is only available for Vmware

Additional info:

Comment 2 Marek Hulan 2017-11-15 08:19:40 UTC
Sachin, wht do you think it should be available only for vmware? I don't see any comment like this in the linked BZ.

Comment 4 Daniel Lobato Garcia 2017-11-22 12:30:28 UTC
-1, boot disk provisioning can happen without VMWare too. What VMWare provides to bootdisk is fully automated provisioning, but other OSs can boot with the boot disk as well. Setting this to -1 and closing for the moment, it's not a valid RFE. Please reopen or set me a needinfo if you need anything else.

Comment 5 Sachin Ghai 2017-11-23 03:42:54 UTC
I understand that bootdisk provisioning can happen without vmware. 

In satellite 6.3  new provisioning method added on UI "bootdisk based" under create host -> operating system tab and it only work for vmware and that supports fully automated provisioning. There are other compute resources as well.

Rhev and libvirt or any compute resource doesn't provide this feature. So I raised this issue so that UI should show that "bootdisk provisioning method" only when user selects "vmware" from "Deploy on".

Comment 6 Marek Hulan 2017-11-23 06:10:33 UTC
Sounds as a reasonable request to me, what do you think Daniel


Note You need to log in before you can comment on or make changes to this bug.